summaryrefslogtreecommitdiff
path: root/regress/multiplex.sh
diff options
context:
space:
mode:
authorDarren Tucker <dtucker@zip.com.au>2009-10-07 10:30:57 +1100
committerDarren Tucker <dtucker@zip.com.au>2009-10-07 10:30:57 +1100
commit798855358538931da4f3d7ee6a111b3b4fbd338c (patch)
tree32d6acd78ca23ca4293e77eff14f255125ce7cb7 /regress/multiplex.sh
parent7023d161d86211fa6a4c7dfacdad37a53f468512 (diff)
- dtucker@cvs.openbsd.org 2009/05/05 07:51:36
[regress/multiplex.sh] Always specify ssh_config for multiplex tests: prevents breakage caused by options in ~/.ssh/config. From Dan Peterson.
Diffstat (limited to 'regress/multiplex.sh')
-rw-r--r--regress/multiplex.sh20
1 files changed, 10 insertions, 10 deletions
diff --git a/regress/multiplex.sh b/regress/multiplex.sh
index 4fba7b5ac..8a98a6e54 100644
--- a/regress/multiplex.sh
+++ b/regress/multiplex.sh
@@ -1,4 +1,4 @@
1# $OpenBSD: multiplex.sh,v 1.11 2005/04/25 09:54:09 dtucker Exp $ 1# $OpenBSD: multiplex.sh,v 1.12 2009/05/05 07:51:36 dtucker Exp $
2# Placed in the Public Domain. 2# Placed in the Public Domain.
3 3
4CTL=/tmp/openssh.regress.ctl-sock.$$ 4CTL=/tmp/openssh.regress.ctl-sock.$$
@@ -26,7 +26,7 @@ sleep 5
26 26
27verbose "test $tid: envpass" 27verbose "test $tid: envpass"
28trace "env passing over multiplexed connection" 28trace "env passing over multiplexed connection"
29_XXX_TEST=blah ${SSH} -oSendEnv="_XXX_TEST" -S$CTL otherhost sh << 'EOF' 29_XXX_TEST=blah ${SSH} -F $OBJ/ssh_config -oSendEnv="_XXX_TEST" -S$CTL otherhost sh << 'EOF'
30 test X"$_XXX_TEST" = X"blah" 30 test X"$_XXX_TEST" = X"blah"
31EOF 31EOF
32if [ $? -ne 0 ]; then 32if [ $? -ne 0 ]; then
@@ -36,26 +36,26 @@ fi
36verbose "test $tid: transfer" 36verbose "test $tid: transfer"
37rm -f ${COPY} 37rm -f ${COPY}
38trace "ssh transfer over multiplexed connection and check result" 38trace "ssh transfer over multiplexed connection and check result"
39${SSH} -S$CTL otherhost cat ${DATA} > ${COPY} 39${SSH} -F $OBJ/ssh_config -S$CTL otherhost cat ${DATA} > ${COPY}
40test -f ${COPY} || fail "ssh -Sctl: failed copy ${DATA}" 40test -f ${COPY} || fail "ssh -Sctl: failed copy ${DATA}"
41cmp ${DATA} ${COPY} || fail "ssh -Sctl: corrupted copy of ${DATA}" 41cmp ${DATA} ${COPY} || fail "ssh -Sctl: corrupted copy of ${DATA}"
42 42
43rm -f ${COPY} 43rm -f ${COPY}
44trace "ssh transfer over multiplexed connection and check result" 44trace "ssh transfer over multiplexed connection and check result"
45${SSH} -S $CTL otherhost cat ${DATA} > ${COPY} 45${SSH} -F $OBJ/ssh_config -S $CTL otherhost cat ${DATA} > ${COPY}
46test -f ${COPY} || fail "ssh -S ctl: failed copy ${DATA}" 46test -f ${COPY} || fail "ssh -S ctl: failed copy ${DATA}"
47cmp ${DATA} ${COPY} || fail "ssh -S ctl: corrupted copy of ${DATA}" 47cmp ${DATA} ${COPY} || fail "ssh -S ctl: corrupted copy of ${DATA}"
48 48
49rm -f ${COPY} 49rm -f ${COPY}
50trace "sftp transfer over multiplexed connection and check result" 50trace "sftp transfer over multiplexed connection and check result"
51echo "get ${DATA} ${COPY}" | \ 51echo "get ${DATA} ${COPY}" | \
52 ${SFTP} -S ${SSH} -oControlPath=$CTL otherhost >$LOG 2>&1 52 ${SFTP} -S ${SSH} -F $OBJ/ssh_config -oControlPath=$CTL otherhost >$LOG 2>&1
53test -f ${COPY} || fail "sftp: failed copy ${DATA}" 53test -f ${COPY} || fail "sftp: failed copy ${DATA}"
54cmp ${DATA} ${COPY} || fail "sftp: corrupted copy of ${DATA}" 54cmp ${DATA} ${COPY} || fail "sftp: corrupted copy of ${DATA}"
55 55
56rm -f ${COPY} 56rm -f ${COPY}
57trace "scp transfer over multiplexed connection and check result" 57trace "scp transfer over multiplexed connection and check result"
58${SCP} -S ${SSH} -oControlPath=$CTL otherhost:${DATA} ${COPY} >$LOG 2>&1 58${SCP} -S ${SSH} -F $OBJ/ssh_config -oControlPath=$CTL otherhost:${DATA} ${COPY} >$LOG 2>&1
59test -f ${COPY} || fail "scp: failed copy ${DATA}" 59test -f ${COPY} || fail "scp: failed copy ${DATA}"
60cmp ${DATA} ${COPY} || fail "scp: corrupted copy of ${DATA}" 60cmp ${DATA} ${COPY} || fail "scp: corrupted copy of ${DATA}"
61 61
@@ -64,7 +64,7 @@ rm -f ${COPY}
64for s in 0 1 4 5 44; do 64for s in 0 1 4 5 44; do
65 trace "exit status $s over multiplexed connection" 65 trace "exit status $s over multiplexed connection"
66 verbose "test $tid: status $s" 66 verbose "test $tid: status $s"
67 ${SSH} -S $CTL otherhost exit $s 67 ${SSH} -F $OBJ/ssh_config -S $CTL otherhost exit $s
68 r=$? 68 r=$?
69 if [ $r -ne $s ]; then 69 if [ $r -ne $s ]; then
70 fail "exit code mismatch for protocol $p: $r != $s" 70 fail "exit code mismatch for protocol $p: $r != $s"
@@ -72,7 +72,7 @@ for s in 0 1 4 5 44; do
72 72
73 # same with early close of stdout/err 73 # same with early close of stdout/err
74 trace "exit status $s with early close over multiplexed connection" 74 trace "exit status $s with early close over multiplexed connection"
75 ${SSH} -S $CTL -n otherhost \ 75 ${SSH} -F $OBJ/ssh_config -S $CTL -n otherhost \
76 exec sh -c \'"sleep 2; exec > /dev/null 2>&1; sleep 3; exit $s"\' 76 exec sh -c \'"sleep 2; exec > /dev/null 2>&1; sleep 3; exit $s"\'
77 r=$? 77 r=$?
78 if [ $r -ne $s ]; then 78 if [ $r -ne $s ]; then
@@ -81,10 +81,10 @@ for s in 0 1 4 5 44; do
81done 81done
82 82
83trace "test check command" 83trace "test check command"
84${SSH} -S $CTL -Ocheck otherhost || fail "check command failed" 84${SSH} -F $OBJ/ssh_config -S $CTL -Ocheck otherhost || fail "check command failed"
85 85
86trace "test exit command" 86trace "test exit command"
87${SSH} -S $CTL -Oexit otherhost || fail "send exit command failed" 87${SSH} -F $OBJ/ssh_config -S $CTL -Oexit otherhost || fail "send exit command failed"
88 88
89# Wait for master to exit 89# Wait for master to exit
90sleep 2 90sleep 2